Remove Wikimedia-specific maintenance scripts from core
Closed, ResolvedPublic

Description

Not sure if there's much of a need for others to use this (hence, if this is the case, move it out), but it's hard coded to using /home/wikipedia, and isn't really much use for other people...

And the description does say as much - "Wikimedia specific!"


Version: unspecified
Severity: enhancement

Details

Reference
bz26263
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz26263.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Dec 6 2010, 8:38 AM
Reedy added a comment.Jan 1 2011, 3:46 AM

dumpInterwiki.php and addwiki.php

demon added a comment.Jan 21 2011, 1:40 PM

Could move them to an extension? "WikimediaMaintenance" sounds ok.

Reedy added a comment.Jan 21 2011, 2:04 PM

That sounds reasonably sane...

And won't require much work, but tidy things up

Reedy added a comment.Sep 7 2011, 9:04 PM

I think most of these have now been done and moved to /trunk/extensions/WikimediaMaitenance

compressOld.php is multi use, so is probably ok to stay in trunk

bug 26140 won't be quite so easy

See also bug 33395.

Since most of WM stuff got moved to the new WikimediaMaintenance extension, I guess this bug can be closed now.

(In reply to comment #6)

Since most of WM stuff got moved to the new WikimediaMaintenance extension, I
guess this bug can be closed now.

I'll give it a quick check and see if anything else should be moved, and close it then!

TTO closed this task as Resolved.EditedOct 11 2015, 6:50 AM
TTO claimed this task.
TTO added a subscriber: TTO.

maintenance/ has got problems, but this is not one of them - a quick check shows that all WMF-specific stuff is in WikimediaMaintenance nowadays...

Meno25 removed a subscriber: Meno25.Nov 29 2015, 7:26 PM